%define modn   unionfs
%define modv   2.0


Summary:       A union filesystem using FUSE
Name:          %{modn}-fuse
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Applications/System
Source0:       http://github.com/rpodgorny/%{name}/archive/%{name}-%{version}.tar.gz
Patch0:        %{name}-1.0-install.patch
URL:           http://github.com/rpodgorny/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Radek Podgorny <radek@podgorny.cz>
Provides:      fuse-mod(%{modn}) = %{modv}
Requires:      fuse >= 2.6
BuildRequires: fuse-devel >= 2.6
Obsoletes:     fuse-%{modn} < %{version}-%{release}


%description
This package provides a unionfs filesystem implementation which is more
flexible than the current in-kernel solutions.


%prep
%setup -q
%patch0 -p1


%build
export CFLAGS="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


#%check
#./test.sh


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	PREFIX=%{_prefix}         \
	install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CREDITS LICENSE NEWS README*
/sbin/mount.unionfs
%{_bindir}/unionfs
%{_bindir}/unionfsctl
%{_mandir}/man8/unionfs.8*


%changelog
* Tue Feb 21 2017 Peter Pramberger <peterpramb@member.fsf.org> - 2.0-1
- New version (2.0)

* Sat Jul 11 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.0-1
- New version (1.0)

* Fri Apr 19 2013 Peter Pramberger <peterpramb@member.fsf.org> - 0.26-1
- New version (0.26)

* Thu Jun 17 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.24-1
- New version (0.24)
- Renamed package to project name

* Mon May 18 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.23-1
- New version (0.23)

* Thu Oct 09 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.22-1
- New version (0.22)

* Mon Jul 21 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.20-1
- Initial build
